using System;
using System.IO;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {

            //Convert multipage TIFF file to PDF file
            SautinSoft.PdfVision v = new SautinSoft.PdfVision();
            //v.Serial = "XXXXXXXXXXXXXXX";

            //specify converting options
            v.PageStyle.PageSize.Auto();
            //v.PageStyle.PageMarginLeft.Inch(1);
            //v.ImageStyle.Heightmm(150);
            //v.ImageStyle.WidthInch(10);

            //To make PDF optimal by size and quality we recommend following:
            //For JPEG images  specify the quality to 80, for PNG and GIF set it to 100
            //For TIFF - if it's b/w document set it to 100 (default), for photo set it to 80 or less
            //v.ImageStyle.Quality=80;
            v.ImageStyle.Quality = 100;
            //v.ImageStyle.Scale = 50

            // Specify a path to a TIFF file, e.g. "c:\my Funny Picture.tiff"
            string tiffPath = Path.GetFullPath(@"..\..\..\..\..\Sample TIFF files\pic1.tiff");
            string pdfPath = Path.ChangeExtension(tiffPath, ".pdf");

            //Convert image file to pdf
            int ret = v.ConvertImageFileToPDFFile(tiffPath, pdfPath);

            //0 - converting successfully
            //1 - can't open input file, check the input path
            //2 - can't create output file, check the output path
            //3 - converting failed

            if (ret == 0)
            {
                //Show produced PDF in Acrobat Reader
                System.Diagnostics.Process.Start(pdfPath);
            }
        }
    }
}
